# Сущности

Для того, чтобы начать описывать действия нашего "мозга", нам нужно понять
сколько и какие сущности будет иметь наша система. 

## Рецепт

Каждый рецепт состоит из:
- названия
- фото результата
- категории
- тэги?
- ингредиенты
- эксперементы
- шаги (только текст, не более)

Переходя на страницу рецепта мы должны видеть максимально только важную
информацию. Если мы ищем определенный рецепт, то мы смотрим в первую очередь
на название и фотографию результата. Далее мы смотрим какие ингредиенты нам
потребуются, в каком количестве. Для особо контролирующих своё питание от
сырых ингредиентов будет расчитана таблица витаминов и пищевой ценности.
После того как нас всё устраивает мы можем переходить к непосредственному
приготовлению, спустившись к шагам.

Примерно так я сейчас вижу схему странички рецептов, на основе своего опыта
из smartfridge.

```
Категории

Название

Фото результата

Ингредиенты | Витамины | Пищевая ценность

Шаги

Эксперементы
```

## Ингредиент

Основа рецептов, как ни странно, ингредиенты. Они полностью влияют на сам
рецепт. Существует множество различного сырья, продуктов, которые нужно
будет добавить. Они будут содержать в себе витамины, пищевую ценность, но
эти цифры будут заполняться постепенно по мере нахождения информации.

## Эксперемент

Эксперемент представляет собой markdown статью, которая относится к
определенному рецепту. Например мы любим готовить пиццу и эксперементировали
с различными основами. Теперь мы нашли ту самую, которая всегда получается и
она просто божественая! Это можно оформить как статью-эксперемент.

## Категории

Тут всё просто. Мы добавим категорий, кухни мира, которые помогут нам
структурировать наши рецепты.

## Тэги

Они пока под вопросом. Когда начну создавать рецепты я решу наверняка нужны ли
они или нет.

Думаю это тоже самое что и категории, но не будут явно сохранены как отдельная
сущность. Они будут писаться в свободной форме в рецептах.

