# Решение

Все вышеперечисленные проблемы, возможно, волнуют только меня, но я хотел бы
попробовать их все исправить.

## Свободный код

Этот проект находится в открытом доступе и у него открыт исходный код.
В моих планах открыть базу данных, парсеры, бэкенд, фронтенды и всё остальное,
что будет связано с этим проектом. Я думаю будет познавательно и интересно.

## Децентрализованный

У меня будет запущена собственная нода, для моего повседневного поиска любимых
рецептов, но если кому-то захочется, то он в праве поднять собственный сервер.

## Бесплатный навсегда

Я делаю этот проект в первую очередь для себя, для своего удобства и
удовольствия. Я не любитель видеть рекламу и не хочу, чтобы кто-то тоже от неё
страдал. Темболее это пополняет карманы корпорациям, которые зарабатывают на
вашей приватности...

## Полностью приватный

База данных будет полностью открыта и обновляться через репозиторий.
Пользователи, сессии тут просто избыточны. Опять же плюс в мне в карму, тк
ничего тут не будет храниться, в том числе IP адреса. Тут не будет ни рекламы,
ни кнопки "поделиться", ни другого стороннего сервиса. Возможно даже обойдемся
полностью без JS, но не обещаю.

## Альтернативные клиенты

Помимо сайта в планах создать еще мобильное приложение, cli, tui, gui. Можно
будет выбрать любой клиент, который будет к душе.

## Уникальная идея рецептов

Еще на smartfridge, после того как я внедрил группы ингредиентов, мне пришло
озарение, что каждая группа ингредиентов - это тоже отдельный рецепт.
Например пицца состоит из основы и начинки. Мы можем выбирать из предложеных
основ для теста, но начинка меняться не будет или наоборот. Но и это еще не всё!
Ту же начинку для пиццы возможно получится использовать для приготовления
горячих бутербродов! Это будет называться комбо-рецепты.

Вдохновленный одним каналом the-bread-code, я хочу добавить в рецепт
эксперементы. Тоесть что будет, если тот же рецепт приготовить с большим/меньшим
содержанием воды/масла какой результат из этого вышел. Получилось хуже или нет.
Любой желающий сможет выбрать понравившийся вариант рецепта.

## Никакого дублирования

Все рецепты перед добавлением будут проходить строгую модерацию непосредственно
в репозитории. Если подобный рецепт уже существует, то он не будет добавлен.
Возможно будет предложен вариант преобразовать этот рецепт в комбо-рецепт или
добавить эксперемент.

