use crate::domain;

#[derive(Debug, Serialize, Deserialize)]
pub enum Lang {
    Rus,
    #[allow(dead_code)]
    Eng,
}

impl From<domain::Lang> for Lang {
    fn from(app: domain::Lang) -> Self {
        match app {
            domain::Lang::Rus => Lang::Rus,
            domain::Lang::Eng => Lang::Eng,
        }
    }
}
